/***

The MIT License

Copyright (c) 2018 Teppei Tamra (TAM)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

***/

#ifndef SAORIMEDIAVIEW_H
#define SAORIMEDIAVIEW_H

#include <QWidget>
#include <QList>
#include <QMap>
#include <QImage>
#include <QUrl>

namespace Ui {
class SaoriMediaView;
}

class SaoriMediaView : public QWidget
{
    Q_OBJECT

public:
    explicit SaoriMediaView(QWidget *parent = nullptr);
    ~SaoriMediaView();

    void setImage(QImage image);
    void setUrls(QList<QUrl> urls,uint current);

protected:
    void fit();
    virtual void resizeEvent(QResizeEvent *event);

protected:
    QList<QUrl> m_mediaList;
    uint m_currentMedia;
    bool m_fit;
    QImage m_image;

private slots:
    void on_actionFit_changed();

private:
    Ui::SaoriMediaView *ui;
};

#endif // SAORIMEDIAVIEW_H
